Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.crd
Class CubeUsage

    java.lang.Object
      jet.server.api.crd.CubeUsage

All Implemented Interfaces:
  java.io.Serializable

    public class CubeUsage

extends java.lang.Object
implements java.io.Serializable

Represents a web report/component which using a cube

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_COMPONENT` Indicates component using the cube (value=2).
`static int` | `TYPE_WEB_REPORT` Indicates web report using the cube (value=1).

Constructor Summary
`CubeUsage(CubeInfoKey cubeKey, java.lang.String resourceName, int type, java.lang.String dashboardName, java.lang.String user)` construct a `CubeUsage` object.

Method Summary
`CubeInfoKey` | `getCubeKey()` get `CubeInfoKey` of this cube usage.
`java.lang.String` | `getDashboardName()` get dashboard name that the using component belongs to.
`java.lang.String` | `getResourceName()` get resource name which using this cube.
`int` | `getType()` get using resource type.
`java.lang.String` | `getUser()` get user name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_WEB_REPORT

    public static final int TYPE_WEB_REPORT

  Indicates web report using the cube (value=1).

  See Also:
    Constant Field Values

### TYPE_COMPONENT

    public static final int TYPE_COMPONENT

  Indicates component using the cube (value=2).

  See Also:
    Constant Field Values

Constructor Detail

### CubeUsage

    public CubeUsage(CubeInfoKey cubeKey,
                     java.lang.String resourceName,
                     int type,
                     java.lang.String dashboardName,
                     java.lang.String user)

  construct a `CubeUsage` object.

  Parameters:
    `cubeKey` - the cube key indicates the cube is used
    `resourcename` - report or lc name which uses the cube.
    `dashboardName` - the dashboard name which lc belongs to
    `user` - the user name who open the report or dashboard.

Method Detail

### getCubeKey

    public CubeInfoKey getCubeKey()

  get `CubeInfoKey` of this cube usage.

  Returns:
    a `CubeInfoKey` instance
  See Also:
    `CubeInfoKey`

### getResourceName

    public java.lang.String getResourceName()

  get resource name which using this cube.

  Returns:
    resource name which using this cube. return a web report name if `getType()`'s value is `TYPE_WEB_REPORT`, if `getType()`'s value is `TYPE_COMPONENT`, return value is component name. If the using resource is a new created web report, return `null`.

### getType

    public int getType()

  get using resource type.

  Returns:
    using resource type, return value may be `TYPE_WEB_REPORT` or `TYPE_COMPONENT`.

### getDashboardName

    public java.lang.String getDashboardName()

  get dashboard name that the using component belongs to.

  Returns:
    the dashboard name that the using component belongs to. return `null` if `getType()`'s value is `TYPE_WEB_REPORT` or the using component belongs to a new create dashboard.

### getUser

    public java.lang.String getUser()

  get user name.

  Returns:
    the user name who open the web report or compoenent.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD